#include "config.h"
#include <OctoPrintAPI.h>
#include <WiFiClient.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include "tunes.h"  

void playTune(int tuneNumber);

WiFiClient client;

String printerOperational;
String printerPaused;
String printerPrinting;
String printerReady;
String printerText;
String printerHotend;
String printerTarget;
String payload;

OctoprintApi api(client, (char*)OCTOPRINT_HOST, OCTOPRINT_PORT, OCTOPRINT_API_KEY);

// Function to fetch and display OctoPrint version
void displayOctoPrintVersion(Adafruit_SSD1306& display) {
    if (api.getOctoprintVersion()) {
        display.clearDisplay();
        display.setCursor(0, 0);
        display.setTextSize(1);
        display.setTextColor(WHITE);
        
        display.print("OctoPrint Version:");
        display.setCursor(0, 10);
        display.print(api.octoprintVer.octoprintServer);
        
        display.display(); // Update the display
    } else {
        display.clearDisplay();
        display.setCursor(0, 0);
        display.setTextSize(1);
        display.setTextColor(WHITE);
        display.print("Failed to get");
        display.setCursor(0, 10);
        display.print("OctoPrint version.");
        display.display();
        playTune(3);
    }
}